diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/supermicro/x6dhe_g/Options.lb LinuxBIOSv2/src/mainboard/supermicro/x6dhe_g/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/supermicro/x6dhe_g/Options.lb	2006-10-24 22:16:48.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/supermicro/x6dhe_g/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,8 +15,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -154,7 +154,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM=1
+default CONFIG_ROM_PAYLOAD=1
 
 
 ###
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/supermicro/x6dhe_g2/Config.lb LinuxBIOSv2/src/mainboard/supermicro/x6dhe_g2/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/supermicro/x6dhe_g2/Config.lb	2006-10-24 22:16:48.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/supermicro/x6dhe_g2/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -20,12 +20,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of LinuxBIOS will start in the boot rom
 ##
-default _ROMBASE	=( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE	=( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can be cached to speed up linuxBIOS.
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/supermicro/x6dhe_g2/Options.lb LinuxBIOSv2/src/mainboard/supermicro/x6dhe_g2/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/supermicro/x6dhe_g2/Options.lb	2006-10-24 22:16:48.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/supermicro/x6dhe_g2/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,8 +15,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -154,7 +154,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM=1
+default CONFIG_ROM_PAYLOAD=1
 
 
 ###
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/supermicro/x6dhr_ig/Config.lb LinuxBIOSv2/src/mainboard/supermicro/x6dhr_ig/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/supermicro/x6dhr_ig/Config.lb	2006-10-24 22:16:48.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/supermicro/x6dhr_ig/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -20,12 +20,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/supermicro/x6dhr_ig/Options.lb LinuxBIOSv2/src/mainboard/supermicro/x6dhr_ig/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/supermicro/x6dhr_ig/Options.lb	2006-10-24 22:16:48.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/supermicro/x6dhr_ig/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,8 +15,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -154,7 +154,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM=1
+default CONFIG_ROM_PAYLOAD=1
 
 
 ###
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/supermicro/x6dhr_ig2/Config.lb LinuxBIOSv2/src/mainboard/supermicro/x6dhr_ig2/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/supermicro/x6dhr_ig2/Config.lb	2006-10-24 22:16:48.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/supermicro/x6dhr_ig2/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -20,12 +20,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/supermicro/x6dhr_ig2/Options.lb LinuxBIOSv2/src/mainboard/supermicro/x6dhr_ig2/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/supermicro/x6dhr_ig2/Options.lb	2006-10-24 22:16:48.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/supermicro/x6dhr_ig2/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,8 +15,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -154,7 +154,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM=1
+default CONFIG_ROM_PAYLOAD=1
 
 
 ###
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/technologic/ts5300/Config.lb LinuxBIOSv2/src/mainboard/technologic/ts5300/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/technologic/ts5300/Config.lb	2006-10-24 22:16:50.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/technologic/ts5300/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -17,12 +17,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/technologic/ts5300/Options.lb LinuxBIOSv2/src/mainboard/technologic/ts5300/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/technologic/ts5300/Options.lb	2006-10-24 22:19:52.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/technologic/ts5300/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -7,7 +7,7 @@
 uses USE_OPTION_TABLE
 uses CONFIG_COMPRESS
 uses CONFIG_COMPRESSED_PAYLOAD_NRV2B
-uses CONFIG_ROM_STREAM
+uses CONFIG_ROM_PAYLOAD
 uses CONFIG_USE_INIT
 uses IRQ_SLOT_COUNT
 uses MAINBOARD
@@ -23,7 +23,7 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses _RAMBASE
@@ -135,7 +135,7 @@
 default _RAMBASE = 0x00004000
 
 default CONFIG_COMPRESSED_PAYLOAD_NRV2B     = 1
-default CONFIG_ROM_STREAM     = 1
+default CONFIG_ROM_PAYLOAD     = 1
 
 ##
 ## The default compiler
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/totalimpact/briq/Options.lb LinuxBIOSv2/src/mainboard/totalimpact/briq/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/totalimpact/briq/Options.lb	2006-10-24 22:16:47.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/totalimpact/briq/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -18,7 +18,7 @@
 uses CONFIG_USE_INIT
 uses NO_POST
 uses CONFIG_CONSOLE_SERIAL8250 
-uses CONFIG_IDE_STREAM 
+uses CONFIG_IDE_PAYLOAD 
 uses IDE_BOOT_DRIVE
 uses IDE_SWAB IDE_OFFSET 
 uses ROM_SIZE
@@ -79,7 +79,7 @@
 default CONFIG_CONSOLE_SERIAL8250=1
 
 ## Boot linux from IDE
-default CONFIG_IDE_STREAM=1
+default CONFIG_IDE_PAYLOAD=1
 default IDE_BOOT_DRIVE=0
 default IDE_SWAB=1
 default IDE_OFFSET=0
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s2735/Config.lb LinuxBIOSv2/src/mainboard/tyan/s2735/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s2735/Config.lb	2006-10-24 22:16:53.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s2735/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,13 +15,13 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
-default CONFIG_ROM_STREAM     = 1
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD     = 1
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s2735/Options.lb LinuxBIOSv2/src/mainboard/tyan/s2735/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s2735/Options.lb	2006-10-24 22:16:53.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s2735/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -17,8 +17,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -189,7 +189,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s2850/Config.lb LinuxBIOSv2/src/mainboard/tyan/s2850/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s2850/Config.lb	2006-10-24 22:16:53.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s2850/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,12 +15,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s2850/Options.lb LinuxBIOSv2/src/mainboard/tyan/s2850/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s2850/Options.lb	2006-10-24 22:16:53.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s2850/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -16,8 +16,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -180,7 +180,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s2875/Config.lb LinuxBIOSv2/src/mainboard/tyan/s2875/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s2875/Config.lb	2006-10-24 22:16:54.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s2875/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,12 +15,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s2875/Options.lb LinuxBIOSv2/src/mainboard/tyan/s2875/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s2875/Options.lb	2006-10-24 22:16:54.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s2875/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -16,8 +16,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -181,7 +181,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s2880/Config.lb LinuxBIOSv2/src/mainboard/tyan/s2880/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s2880/Config.lb	2006-10-24 22:16:53.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s2880/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,12 +15,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s2880/Options.lb LinuxBIOSv2/src/mainboard/tyan/s2880/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s2880/Options.lb	2006-10-24 22:16:53.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s2880/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -16,8 +16,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -180,7 +180,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s2881/Config.lb LinuxBIOSv2/src/mainboard/tyan/s2881/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s2881/Config.lb	2006-10-24 22:16:53.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s2881/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,12 +15,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s2881/Options.lb LinuxBIOSv2/src/mainboard/tyan/s2881/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s2881/Options.lb	2006-10-24 22:16:53.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s2881/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -16,8 +16,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -197,7 +197,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s2882/Config.lb LinuxBIOSv2/src/mainboard/tyan/s2882/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s2882/Config.lb	2006-10-24 22:16:53.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s2882/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,12 +15,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s2882/Options.lb LinuxBIOSv2/src/mainboard/tyan/s2882/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s2882/Options.lb	2006-10-24 22:16:54.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s2882/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -16,8 +16,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -180,7 +180,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s2885/Config.lb LinuxBIOSv2/src/mainboard/tyan/s2885/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s2885/Config.lb	2006-10-24 22:16:55.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s2885/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,12 +15,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s2885/Options.lb LinuxBIOSv2/src/mainboard/tyan/s2885/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s2885/Options.lb	2006-10-24 22:16:55.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s2885/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -16,8 +16,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -207,7 +207,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s2891/Config.lb LinuxBIOSv2/src/mainboard/tyan/s2891/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s2891/Config.lb	2006-10-24 22:16:54.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s2891/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,13 +15,13 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
-default CONFIG_ROM_STREAM     = 1
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD     = 1
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s2891/Options.lb LinuxBIOSv2/src/mainboard/tyan/s2891/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s2891/Options.lb	2006-10-24 22:16:54.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s2891/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -16,8 +16,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -216,7 +216,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s2892/Config.lb LinuxBIOSv2/src/mainboard/tyan/s2892/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s2892/Config.lb	2006-10-24 22:16:54.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s2892/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,13 +15,13 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
-default CONFIG_ROM_STREAM     = 1
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD     = 1
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s2892/Options.lb LinuxBIOSv2/src/mainboard/tyan/s2892/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s2892/Options.lb	2006-10-24 22:16:54.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s2892/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -16,8 +16,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -203,7 +203,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s2895/Config.lb LinuxBIOSv2/src/mainboard/tyan/s2895/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s2895/Config.lb	2006-10-24 22:16:55.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s2895/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -20,12 +20,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s2895/Options.lb LinuxBIOSv2/src/mainboard/tyan/s2895/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s2895/Options.lb	2006-10-24 22:16:55.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s2895/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -19,8 +19,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -224,7 +224,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s4880/Config.lb LinuxBIOSv2/src/mainboard/tyan/s4880/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s4880/Config.lb	2006-10-24 22:16:54.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s4880/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,13 +15,13 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
-default CONFIG_ROM_STREAM     = 1
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD     = 1
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s4880/Options.lb LinuxBIOSv2/src/mainboard/tyan/s4880/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s4880/Options.lb	2006-10-24 22:16:54.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s4880/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -16,8 +16,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -189,7 +189,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s4882/Config.lb LinuxBIOSv2/src/mainboard/tyan/s4882/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s4882/Config.lb	2006-10-24 22:16:54.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s4882/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,13 +15,13 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
-default CONFIG_ROM_STREAM     = 1
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD     = 1
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/tyan/s4882/Options.lb LinuxBIOSv2/src/mainboard/tyan/s4882/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/tyan/s4882/Options.lb	2006-10-24 22:16:54.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/tyan/s4882/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -16,8 +16,8 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses XIP_ROM_SIZE
@@ -188,7 +188,7 @@
 ##
 ## Load the payload from the ROM
 ##
-default CONFIG_ROM_STREAM = 1
+default CONFIG_ROM_PAYLOAD = 1
 
 ###
 ### Defaults of options that you may want to override in the target config file
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/via/epia/Config.lb LinuxBIOSv2/src/mainboard/via/epia/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/via/epia/Config.lb	2006-10-24 22:16:46.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/via/epia/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -14,13 +14,13 @@
 ## Compute the start location and size size of
 ## The linuxBIOS bootloader.
 ##
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/via/epia/Options.lb LinuxBIOSv2/src/mainboard/via/epia/Options.lb
--- LinuxBIOSv2.orig1/src/mainboard/via/epia/Options.lb	2006-10-24 22:16:46.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/via/epia/Options.lb	2006-10-24 22:36:11.000000000 +0000
@@ -13,7 +13,7 @@
 uses CONFIG_UDELAY_IO
 uses HAVE_OPTION_TABLE
 uses USE_OPTION_TABLE
-uses CONFIG_ROM_STREAM
+uses CONFIG_ROM_PAYLOAD
 uses IRQ_SLOT_COUNT
 uses MAINBOARD
 uses MAINBOARD_VENDOR
@@ -28,7 +28,7 @@
 uses ROM_IMAGE_SIZE
 uses ROM_SECTION_SIZE
 uses ROM_SECTION_OFFSET
-uses CONFIG_ROM_STREAM_START
+uses CONFIG_ROM_PAYLOAD_START
 uses PAYLOAD_SIZE
 uses _ROMBASE
 uses _RAMBASE
@@ -125,7 +125,7 @@
 
 default _RAMBASE = 0x00004000
 
-default CONFIG_ROM_STREAM     = 1
+default CONFIG_ROM_PAYLOAD     = 1
 
 ##
 ## The default compiler
diff -BurN --exclude '*~' LinuxBIOSv2.orig1/src/mainboard/via/epia-m/Config.lb LinuxBIOSv2/src/mainboard/via/epia-m/Config.lb
--- LinuxBIOSv2.orig1/src/mainboard/via/epia-m/Config.lb	2006-10-24 22:16:46.000000000 +0000
+++ LinuxBIOSv2/src/mainboard/via/epia-m/Config.lb	2006-10-24 22:36:11.000000000 +0000
@@ -15,12 +15,12 @@
 ## The linuxBIOS bootloader.
 ##
 default PAYLOAD_SIZE            = ( ROM_SECTION_SIZE - ROM_IMAGE_SIZE )
-default CONFIG_ROM_STREAM_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
+default CONFIG_ROM_PAYLOAD_START = (0xffffffff - ROM_SIZE + ROM_SECTION_OFFSET + 1)
 
 ##
 ## Compute where this copy of linuxBIOS will start in the boot rom
 ##
-default _ROMBASE      = ( CONFIG_ROM_STREAM_START + PAYLOAD_SIZE )
+default _ROMBASE      = ( CONFIG_ROM_PAYLOAD_START + PAYLOAD_SIZE )
 
 ##
 ## Compute a range of ROM that can cached to speed up linuxBIOS,
